Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface EmailAddress

public interface EmailAddress

Represents an email address.

Author:
  Farrukh S. Najmi
See Also:
  `User`

Method Summary
`java.lang.String` | `getAddress()` Returns the email address for this object.
`java.lang.String` | `getType()` Gets the type for this object.
`void` | `setAddress(java.lang.String address)` Sets the email address for this object.
`void` | `setType(java.lang.String type)` Sets the type for this object.

Method Detail

### getAddress

    public java.lang.String getAddress()
                                throws JAXRException

  Returns the email address for this object. Default is a NULL String.

  Capability Level: 0

  Returns:
    the actual email address (e.g. john.doe@acme.com)
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setAddress

    public void setAddress(java.lang.String address)
                    throws JAXRException

  Sets the email address for this object.

  Capability Level: 0

  Parameters:
    `address` - the actual email address (e.g. john.doe@acme.com)
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getType

    public java.lang.String getType()
                             throws JAXRException

  Gets the type for this object. Default is a NULL String.

  Capability Level: 0

  Returns:
    the usage type for this object which is an arbitrary value (e.g. "Home" or "Office")
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setType

    public void setType(java.lang.String type)
                 throws JAXRException

  Sets the type for this object.

  Capability Level: 0

  Parameters:
    `type` - the usage type for this object which is an arbitrary value (e.g. "Home" or "Office")
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.